Bug 208040 - Unable to load SELinux Policy. Machine is in enforcing mode. Halting now
Unable to load SELinux Policy. Machine is in enforcing mode. Halting now
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-09-25 20:47 EDT by Greg Ennis
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-15 16:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Ennis 2006-09-25 20:47:45 EDT
Description of problem:
I attempted to install FC6 with the 5.92 test.  The installation appeared to
proceed without errors, but when I tried to reboot for the first time I received
the the following :

Unable to load SELinux Policy. Machine is in enforcing mode. Halting now

This was followed by a kernel panic : 

kernel panic - not syncing: Attempted to kill init!

Version-Release number of selected component (if applicable):

How reproducible:
Subsequent boots produced the same sequence as above.
Comment 1 Daniel Walsh 2006-09-26 10:38:48 EDT
Looks like selinux-policy-targeted was not installed?

You can boot with the flag enforcing=0 in order to get the machine to boot up, 
then check if policy was installed.

Did you do this from a kickstart install?
Comment 2 Greg Ennis 2006-09-26 11:37:25 EDT
I did a network ftp install using the rescue FC6 test3 disk to start the
process.  I will set the flag "enforcing=0" when I get home this evening and
give you another report.  
Comment 3 Greg Ennis 2006-09-26 21:37:34 EDT
I was able to boot to a terminal interface with the enforcing=0 switch, but
there was no gui logon screen nor could I start gnome by using startx at a
command line prompt.

If you want me to pursue other things I will be happy to do so, I only planned
to do this to help Fedora.

IF you would like me to do a CD install instead of an ftp network install let me
Comment 4 Daniel Walsh 2006-09-27 06:27:44 EDT
This sounds like your installation is very broken.  You are basically in
selinux=0 mode and you still can't do much, so I think a lot of packages did not
get installed.  I am changing this to anaconda as I feel the problem lies there.
Comment 5 Jeremy Katz 2006-09-27 14:56:29 EDT
What did you select to install?
Comment 6 Greg Ennis 2006-09-27 15:16:42 EDT
I installed the Desktop package with customizations that included several items.
 I do not have all of them in my memory, but here two definite selections were

1. kde
2. all servers

I did not install any games

Sorry I can not remember more than this.  I can repeat the installation with
specific packages if you would like.
Comment 7 Greg Ennis 2006-09-28 21:45:24 EDT
Additional comments about the installation:
I downloaded the DVD iso image of 5.92, as well as the rescue disk iso image
from one of the mirrors.  I performed a sha1sum check which passesd. I burned a
CD with the rescue image which also passed the integrity checks.  I then mounted
the DVD iso image to /mnt/fc6 on one of our servers.  

I then booted a spare PC with the rescue CD with the switch "linux askmethod" 

I performed an ftp install to the iso image on our local network on /mnt/fc6

Comment 8 David Cantrell 2007-03-15 16:46:29 EDT
This should be working in rawhide.  If it's still a problem, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.